using System;

internal sealed class Delegate506 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate506 delegate506_1)
	{
		return delegate506_1(object_0);
	}

	public extern Delegate506(object object_0, IntPtr intptr_0);

	static Delegate506()
	{
		Class10.smethod_13(typeof(Delegate506).TypeHandle);
	}

	internal static Delegate506 delegate506_0;
}
